import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T27 extends Component
{

    name='27'
    desp = "Sequence of Total"
    
    pattern = ""
    tno = -1

    keys=[1,2]

    constructor(props)
    {
        super(props)
        
    }

    componentWillMount()
    {
        if(this.props.mty=='mt700' || this.props.mty=='mt707') //直接编辑的
        {
            if(this.props.action=='edit')
            {
                let obj = {s1:'1',s2:'1'}
                this.props.onValue([obj,'1/1'])
            }
        }
    }

    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        let mval = `${obj.s1}/${obj.s2}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        if(this.props.mty=='mt700' || this.props.mty=='mt707') //直接编辑的
        {
            this.readonly = 'readonly'
        }
    
        return (<Row>
            <Col span={6}>
            <FormItem
                 required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                 label="Number"
                >
                        
                        <Input readOnly={this.readonly} type= "text" maxLength={1}  style={{imeMode:'disabled'}} placeholder="Number" value={value.s1} onChange={(e)=>this.onChange(1,e.target.value)}/>
                </FormItem>
            
            </Col>
            
            <Col span={6}>
            <FormItem
                 required={this.props.status=='M' || mval?'required':null}
                 help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                 label="Total"
                >
                        
                        <Input readOnly={this.readonly} type= "text" addonBefore="/" maxLength={1}  style={{imeMode:'disabled'}} placeholder="Total" value={value.s2} onChange={(e)=>this.onChange(2,e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>)
    }
}